Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(131)

Unified Diff: src/platform/acpi/action_lid.sh

Issue 2079014: Log time in suspend. (Closed) Base URL: ssh://git@chromiumos-git/chromeos
Patch Set: Simplify the option parsing code for now. Created 10 years, 7 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | src/platform/init/dump-boot-stats.conf » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: src/platform/acpi/action_lid.sh
diff --git a/src/platform/acpi/action_lid.sh b/src/platform/acpi/action_lid.sh
index 7a8cf039677e13b819ce5214d8af230fad2189f2..9e6103edde3795433a9d011af6456bfd1d23425a 100755
--- a/src/platform/acpi/action_lid.sh
+++ b/src/platform/acpi/action_lid.sh
@@ -27,6 +27,10 @@ logger "action_lid.sh: lid closed. Going to suspend-to-RAM state"
export HOME=/home/chronos
/usr/bin/xscreensaver-command -l
+# - logs the time going to suspend (no-op if no RTC).
+cp /sys/class/rtc/rtc0/since_epoch /var/log/metrics/suspend-to-ram-time \
+ 2> /dev/null || true
+
# - announces the event
/usr/bin/dbus-send --type=signal --system / \
org.chromium.Power.Manager.PowerStateChanged string:mem
@@ -50,7 +54,10 @@ echo -n mem > /sys/power/state
# - announces the event
/usr/bin/dbus-send --type=signal --system / \
- org.chromium.Power.Manager.PowerStateChanged string:on
+ org.chromium.Power.Manager.PowerStateChanged string:on &
+
+# - sends UMA metrics on resume
+/usr/bin/send_metrics_on_resume
# - resumes cryptohome device
#/usr/bin/test -b $CRYPTOHOME && /sbin/dmsetup resume $CRYPTOHOME
« no previous file with comments | « no previous file | src/platform/init/dump-boot-stats.conf » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698